import { TooltipPosition } from "../../packages/tooltip";
import { TourStep, ScrollTo } from "./steps";
export interface TourOptions {
    steps: Partial<TourStep>[];
    isActive: boolean;
    nextLabel: string;
    prevLabel: string;
    skipLabel: string;
    doneLabel: string;
    hidePrev: boolean;
    hideNext: boolean;
    nextToDone: boolean;
    tooltipPosition: TooltipPosition;
    tooltipClass: string;
    group: string;
    highlightClass: string;
    exitOnEsc: boolean;
    exitOnOverlayClick: boolean;
    showStepNumbers: boolean;
    stepNumbersOfLabel: string;
    keyboardNavigation: boolean;
    showButtons: boolean;
    showBullets: boolean;
    showProgress: boolean;
    scrollToElement: boolean;
    scrollTo: ScrollTo;
    scrollPadding: number;
    overlayOpacity: number;
    autoPosition: boolean;
    positionPrecedence: TooltipPosition[];
    disableInteraction: boolean;
    dontShowAgain: boolean;
    dontShowAgainLabel: string;
    dontShowAgainCookie: string;
    dontShowAgainCookieDays: number;
    helperElementPadding: number;
    buttonClass: string;
    progressBarAdditionalClass: string;
}
export declare function getDefaultTourOptions(): TourOptions;
