import { TourStep } from "./steps";
import { Tour } from "./tour";
/**
 * Gets the current progress percentage
 *
 * @api private
 * @returns current progress percentage
 */
export declare const _getProgress: (currentStep: number, introItemsLength: number) => number;
/**
 * Add disableinteraction layer and adjust the size and position of the layer
 *
 * @api private
 */
export declare const _disableInteraction: (tour: Tour, step: TourStep) => void;
/**
 * Deletes and recreates the bullets layer
 * @private
 */
export declare function _recreateBullets(tour: Tour, step: TourStep): void;
/**
 * Updates an existing progress bar variables
 * @private
 */
export declare function _updateProgressBar(oldReferenceLayer: HTMLElement, currentStep: number, introItemsLength: number): void;
/**
 * Show an element on the page
 *
 * @api private
 */
export default function _showElement(tour: Tour, step: TourStep): Promise<void>;
